Page MenuHomePhabricator

doc: improve single line descriptions
ClosedPublic

Authored by segfaultxavi on Aug 29 2019, 11:51 PM.

Details

Summary

this patch improves single line descriptions described on T7717

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
myoungwoon created this revision.Aug 29 2019, 11:51 PM
myoungwoon requested review of this revision.Aug 29 2019, 11:51 PM
segfaultxavi requested changes to this revision.Aug 30 2019, 12:36 AM
segfaultxavi added inline comments.
src/lib/ecore/efl_boolean_model.eo
4

I am not sure I understand this sentence.
What is this "fixed complete Boolean algebra"? What truth values can the user use?
The default value below is of type bool so it is limited to true and false, no?

This revision now requires changes to proceed.Aug 30 2019, 12:36 AM
myoungwoon added inline comments.Sep 10 2019, 4:43 PM
src/lib/ecore/efl_boolean_model.eo
4

I refered to this theory : https://en.wikipedia.org/wiki/Boolean-valued_model. I think our Boolean model also support the values in some fixed complete Boolean algebra.

segfaultxavi added inline comments.Sep 12 2019, 1:21 AM
src/lib/ecore/efl_boolean_model.eo
4

After reading the code in efl_boolean_model.c I am quite convinced that only true and false values are accepted for this Boolean model. For instance, the values are stored in a bitfield, one bit for each value.

I can commandeer this patch and continue it from here if you want.

segfaultxavi commandeered this revision.Sep 13 2019, 5:14 AM
segfaultxavi edited reviewers, added: myoungwoon; removed: segfaultxavi.

Updated docs and removed unrelated file.

cedric accepted this revision.Sep 13 2019, 9:25 AM

Yes, @segfaultxavi this is indeed what the boolean model. Thanks!

This revision is now accepted and ready to land.Sep 13 2019, 9:25 AM
Closed by commit rEFLc6dd9d2a6420: doc: improve single line descriptions (authored by Myoungwoon Roy, Kim <myoungwoon.kim@samsung.com>, committed by segfaultxavi). · Explain WhySep 13 2019, 9:29 AM
This revision was automatically updated to reflect the committed changes.